# bin console cheat sheet

## How to install

```bash
curl -1sLf 'https://dl.cloudsmith.io/public/symfony/stable/setup.deb.sh' | sudo -E bash
sudo nala install symfony-cli

symfony check:req
```

[Offical Symfony Download](https://symfony.com/download) is the best place to go. 

## about

Checks the version, support, kernel and php

## version

php bin/console --version

## Routes
php bin/console debug:router
* [Visualize and Debug routes in Symfony](https://symfony.com/doc/4.1/routing/debug.html)

## Manually hash a password

php bin/console security:hash-password

# Composer Cheat Sheet

composer dump-autoload

fixes a lot of problems: ```symfony console cache:clear```

To view the namespaces symfony creates for twig:
php bin/console debug:twig
## Installed Recipes
Use ```composer recipes``` to see which bundles you have installed.
